Method: projects.locations.clusters.getCertificateAuthority

获取 Redis 集群的证书授权机构信息详情。

HTTP 请求

GET https://redis.googleapis.com/v1alpha1/{name=projects/*/locations/*/clusters/*/certificateAuthority}

网址采用 gRPC 转码语法。

路径参数

参数
name

string

必需。Redis 集群证书授权机构资源名称,格式为:projects/{projectId}/locations/{locationId}/clusters/{clusterId}/certificateAuthority,其中 locationId 是指 Google Cloud 区域。

请求正文

请求正文必须为空。

响应正文

Redis 集群证书授权机构

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
字段
name

string

标识符。相应范围内的资源的唯一名称,包括项目、位置和集群,格式为:projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority

服务器 CA 信息。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一:
managedServerCa

object (ManagedCertificateAuthority)

互斥字段的结束。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

如需了解详情,请参阅 Authentication Overview。

ManagedCertificateAuthority

JSON 表示法
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
字段
caCerts[]

object (CertChain)

用于 Redis 受管服务器身份验证的 PEM 编码 CA 证书链

CertChain

JSON 表示法
{
  "certificates": [
    string
  ]
}
字段
certificates[]

string

构成 CA 链的证书,从叶到根的顺序。